Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTCamSymbols Class Reference

`#include <GtCamSymbols.h>`

Inheritance diagram for GTCamSymbols:

[legend]
Collaboration diagram for GTCamSymbols:

[legend]
List of all members.

## Public Member Functions
| GTCamSymbols (const BehaviorControlInterfaces &interfaces)
| Constructor.
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
Vector2< double > | getBall ()
| Return a vector of BallSpeed.x and BallSpeed.y.
double | getBallX ()
| Return Ball.x.
double | getBallY ()
| Return Ball.y.
double | getBallSpeedX ()
| Return BallSpeed.x.
double | getBallSpeedY ()
| Return BallSpeed.y.
double | getOwnDistance ()
| get Distance between cam and self-location
double | getOwnRotation ()
| get own rotation from camstate
double | getOwnPosX ()
| get own x coord from camstate
double | getOwnPosY ()
| get own y coor from camstate
double | getOwnSpeedX ()
| get own x speed from camstate
double | getOwnSpeedY ()
| get own y speed from camstate

## Constructor & Destructor Documentation

GTCamSymbols::GTCamSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Constructor. Definition at line 68 of file GtCamSymbols.cpp.

## Member Function Documentation

void GTCamSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 77 of file GtCamSymbols.cpp. References getBallSpeedX(), getBallSpeedY(), getBallX(), getBallY(), getOwnDistance(), getOwnPosX(), getOwnPosY(), getOwnRotation(), getOwnSpeedX(), getOwnSpeedY(), Xabsl2Symbols::registerDecimalInputSymbol(), and REGISTERROBOTXimpl. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void GTCamSymbols::update | ( |  | ) |

| updates the symbols Definition at line 117 of file GtCamSymbols.cpp.

Vector2< double > GTCamSymbols::getBall | ( |  | ) |

| Return a vector of BallSpeed.x and BallSpeed.y. Definition at line 165 of file GtCamSymbols.cpp. References getBallX(), getBallY(), Vector2< V >::x, and Vector2< V >::y.

Here is the call graph for this function:

Player::red Player::red Player::blue Player::blue double GTCamSymbols::getBallX | ( |  | ) |

| Return Ball.x. Definition at line 137 of file GtCamSymbols.cpp. References GTCamWorldState::getBallModel(), BallState::positionField, BallModel::seen, and Vector2< double >::x. Referenced by getBall(), and registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getBallY | ( |  | ) |

| Return Ball.y. Definition at line 144 of file GtCamSymbols.cpp. References GTCamWorldState::getBallModel(), BallState::positionField, BallModel::seen, and Vector2< double >::y. Referenced by getBall(), and registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getBallSpeedX | ( |  | ) |

| Return BallSpeed.x. Definition at line 151 of file GtCamSymbols.cpp. References GTCamWorldState::getBallModel(), BallModel::seen, BallState::speedField, and Vector2< double >::x. Referenced by registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getBallSpeedY | ( |  | ) |

| Return BallSpeed.y. Definition at line 158 of file GtCamSymbols.cpp. References GTCamWorldState::getBallModel(), BallModel::seen, BallState::speedField, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnDistance | ( |  | ) |

| get Distance between cam and self-location Definition at line 176 of file GtCamSymbols.cpp. References Vector2< V >::abs(), getOwnPosX(), getOwnPosY(), Pose2D::translation, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnRotation | ( |  | ) |

| get own rotation from camstate Definition at line 186 of file GtCamSymbols.cpp. References getPlayer(), and GTCamWorldState::getPlayerOrientation(). Referenced by registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnPosX | ( |  | ) |

| get own x coord from camstate Definition at line 193 of file GtCamSymbols.cpp. References getPlayer(), GTCamWorldState::getPlayerPos(), and Vector2< double >::x. Referenced by getOwnDistance(), and registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnPosY | ( |  | ) |

| get own y coor from camstate Definition at line 200 of file GtCamSymbols.cpp. References getPlayer(), GTCamWorldState::getPlayerPos(), and Vector2< double >::y. Referenced by getOwnDistance(), and registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnSpeedX | ( |  | ) |

| get own x speed from camstate Definition at line 207 of file GtCamSymbols.cpp. References getPlayer(), GTCamWorldState::getPlayerSpeed(), and Vector2< double >::x. Referenced by registerSymbols().

Here is the call graph for this function:

double GTCamSymbols::getOwnSpeedY | ( |  | ) |

| get own y speed from camstate Definition at line 214 of file GtCamSymbols.cpp. References getPlayer(), GTCamWorldState::getPlayerSpeed(), and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/GtCamSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/GtCamSymbols.cpp